$(function(){
    $('.przyklad').fotkapopup('100x75/', '400x300/');
    $('#cwiczenieTab .dane .cwiczonko a').lightBox({
        txtImage : 'Obraz',
        txtOf: 'z',
        imageLoading: '/images/lightbox-ico-loading.gif',
        imageBtnPrev: '/images/lightbox-btn-prev.gif',
        imageBtnNext: '/images/lightbox-btn-next.gif',
        imageBtnClose: '/images/lightbox-btn-close.gif',
        imageBlank: '/images/lightbox-blank.gif'
    });

    $('#cwiczenieTab .projekt a').lightBox({
        txtImage : '',
        txtOf: '',
        imageLoading: '/images/lightbox-ico-loading.gif',
        imageBtnPrev: '/images/lightbox-btn-prev.gif',
        imageBtnNext: '/images/lightbox-btn-next.gif',
        imageBtnClose: '/images/lightbox-btn-close.gif',
        imageBlank: '/images/lightbox-blank.gif'
    });

    $('div.przyklad a.uff ').lightBox({
        txtImage : 'Projekt',
        txtOf: 'z',
        imageLoading: '/images/lightbox-ico-loading.gif',
        imageBtnPrev: '/images/lightbox-btn-prev.gif',
        imageBtnNext: '/images/lightbox-btn-next.gif',
        imageBtnClose: '/images/lightbox-btn-close.gif',
        imageBlank: '/images/lightbox-blank.gif'
    });


    $('div.rysunek a.uff').lightBox({
        txtImage : 'Rysunek',
        txtOf: 'z',
        imageLoading: '/images/lightbox-ico-loading.gif',
        imageBtnPrev: '/images/lightbox-btn-prev.gif',
        imageBtnNext: '/images/lightbox-btn-next.gif',
        imageBtnClose: '/images/lightbox-btn-close.gif',
        imageBlank: '/images/lightbox-blank.gif'
    });


    $('.instalacja ol li a').click(function(event){
        event.preventDefault();
        $.scrollTo($(this).attr('href'), 2000);
    });


    $('.instalacja .podpunkt').append(' <a href="#top" title="Przewiń na początek strony">Przewiń na początek strony</a>');

    $('.ksiazka_element:gt(1)').append(' <a href="#top" title="Przewiń na początek strony">Przewiń na początek strony</a>');

    $('a[href="#top"]').click(function(event){
        event.preventDefault();
        $.scrollTo($('body'), 2000);
    });

/*
    $('.metryka img').hover(
        function(){
            var np = $(this).attr('src').replace('-duza', '-back');
            $(this).attr('src', np);
        },
        function(){
            var np = $(this).attr('src').replace('-back', '-duza');
            $(this).attr('src', np);
        }
    );
*/


    $('.metryka .stala img').everyTime(3000, function(){
        var plk = $(this).attr('src');
        if (plk == 'images/okladki/cwigim-duza.jpg') {
            $(this).css({opacity: 1}).animate({opacity: 0}, 400, function(){
                $(this).attr('src', 'images/okladki/cwigim-back.jpg');
                $(this).css({opacity: 0}).animate({opacity: 1.0}, 400);
            });
        } else {
            $(this).css({opacity: 1}).animate({opacity: 0}, 400, function(){
                $(this).attr('src', 'images/okladki/cwigim-duza.jpg');
                $(this).css({opacity: 0}).animate({opacity: 1.0}, 400);
            });
        }
    });







});